#include <Block/SpriteBlock/SolarPanel/SolarPanel.hpp>
#include <World/LocalWorld/LocalWorld.hpp>

SolarPanel::SolarPanel(std::string name) :
    SpriteBlock(
        name,
        "Solar Panel",
        30.0f,
        {"default"}
    )
{
    withGlassSounds();
    withPlacingSound(Sound::placingMetal);
    withBreakingSound(Sound::breakingMetal);
}

bool SolarPanel::canManuallyDig()
{
    return true;
}